Subject: Re: bug#78221: 31.0.50; Improving *-change-functions notifications

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 May 2025 14:18:35 -0400

> From my notes from 2018, the command I used on cflow was:
>
> $ cflow --reverse -b -i +s --cpp -I. -I../lib -I/usr/include/glib-2.0 \
>   -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 buffer.c \
>   callproc.c \
>   casefiddle.c cmds.c coding.c decompress.c editfns.c emacs.c \
>   fileio.c fns.c \
>   indent.c insdel.c print.c process.c search.c textprop.c \
>   xdisp.c xml.c 2> /dev/null > ~/cflow.20180102b.txt.
>
> I no longer remember what the options mean, but the files I scanned were
> those containing calls to insdel.c's externally visible functions.

Thanks.  That gives me the same problems.  🙁

> I later analysed cflow.20180102b.txt with an elisp script, which I still
> have, and could send to you if you're interested.  (It's 125 lines long,
> but poorly commented.)  This script scanned the cflow output,
> recursively finding callers (direct and indirect) of
> signal_\(before\|after\)_change.

Can't hurt, thanks.

        Stefan